import request from '@/utils/request'

// 获取角色列表数据
export function getRoleLists(params) {
  return request({
    url: 'api/roleinfo/getlistbypage',
    method: 'get',
    params
  })
}

// 获取角色数据
export function getRole(id) {
  return request({
    url: 'api/roleinfo/getdetails',
    method: 'get',
    params: {
      id
    }
  })
}

// 添加角色数据
export function addRole(data) {
  return request({
    url: 'api/roleinfo/add',
    method: 'post',
    data
  })
}

// 编辑角色数据
export function editRole(data) {
  return request({
    url: 'api/roleinfo/update',
    method: 'post',
    data
  })
}

// 删除角色数据
export function deleteRole(ids) {
  return request({
    url: 'api/roleinfo/delete',
    method: 'post',
    data: {
      ids
    }
  })
}

// 获取菜单树 数据
export function getRoleTree(role_id) {
  return request({
    url: 'api/rolefunction/getrolefunction',
    method: 'get',
    params: {
      role_id
    }
  })
}

// 保存角色权限
export function saveRoleList(data) {
  return request({
    url: 'api/rolefunction/saverolefunction',
    method: 'post',
    data
  })
}
